<modification>
	<id>VQMOD Banner</id>
	<version>2.0.0.0</version>
	<vqmver>2.5.0</vqmver>
	<author>leopedia.com</author>
	

	<file name="catalog/controller/common/header.php">
		<operation error="skip">
			<search position="before"><![CDATA[
    		$this->load->model('catalog/category');
			]]></search>
			<add><![CDATA[
		$this->load->model('design/themesetting');
		$themesettings = $this->model_design_themesetting->getthemesetting(1);
		$data['facebook'] = $themesettings[0]['facebook'];
		$data['twitter'] = $themesettings[0]['twitter'];
		$data['googleplus'] = $themesettings[0]['googleplus'];
		$data['pintrace'] = $themesettings[0]['pintrace'];
		$data['linkedin'] = $themesettings[0]['linkedin'];
		
			]]></add>
		</operation>
	</file>
	
	<file name="catalog/controller/common/footer.php">
		<operation error="skip">
			<search position="after"><![CDATA[
    		$data['informations'] = array();
			]]></search>
			<add><![CDATA[
				
		$data['informationsbottom'] = array();
	
		foreach ($this->model_catalog_information->getInformations() as $result) {
			if ($result['bottomright']) {
				$data['informationsbottom'][] = array(
					'title' => $result['title'],
					'href'  => $this->url->link('information/information', 'information_id=' . $result['information_id'])
				);
			}
		}
			]]></add>
		</operation>
	</file>
	
	<file name="admin/view/template/catalog/information_form.tpl">
		<operation error="skip">
			<search position="before" offset="1"><![CDATA[
    		<label class="col-sm-2 control-label" for="input-bottom"><span data-toggle="tooltip" title="<?php echo $help_bottom; ?>"><?php echo $entry_bottom; ?></span></label>
			]]></search>
			<add><![CDATA[
		<div class="form-group">
                <label class="col-sm-2 control-label" for="input-bottom"><?php echo $entry_bottomright; ?></label>
                <div class="col-sm-10">
                  <div class="checkbox">
                    <label>
                      <?php if ($bottomright) { ?>
                      <input type="checkbox" name="bottomright" value="1" checked="checked" id="input-bottom" />
                      <?php } else { ?>
                      <input type="checkbox" name="bottomright" value="1" id="input-bottom" />
                      <?php } ?>
                      &nbsp; </label>
                  </div>
                </div>
              </div>
		
			]]></add>
		</operation>
	</file>
	
	
	<file name="admin/controller/catalog/information.php">
		<operation error="skip">
			<search position="before" ><![CDATA[
    		$data['entry_bottom'] = $this->language->get('entry_bottom');
			]]></search>
			<add><![CDATA[
	$data['entry_bottomright'] = $this->language->get('entry_bottomright');
		
			]]></add>
		</operation>
		
		<operation error="skip">
			<search position="before" ><![CDATA[
    		if (isset($this->request->post['bottom'])) {
			]]></search>
			<add><![CDATA[
	if (isset($this->request->post['bottomright'])) {
			$data['bottomright'] = $this->request->post['bottomright'];
		} elseif (!empty($information_info)) {
			$data['bottomright'] = $information_info['bottomright'];
		} else {
			$data['bottomright'] = 0;
		}
		
			]]></add>
		</operation>
		
		
	</file>
	
	<file name="admin/model/catalog/information.php">
		<operation error="skip">
			<search position="after"><![CDATA[
    		$information_id = $this->db->getLastId();
			]]></search>
			<add><![CDATA[
			$this->db->query("UPDATE " . DB_PREFIX . "information SET bottomright = '" . (int)$data['bottomright'] . "' WHERE information_id = '" . (int)$information_id . "'");
		
			]]></add>
		</operation>
		<operation error="skip">
			<search position="before"><![CDATA[
    		$this->db->query("DELETE FROM " . DB_PREFIX . "information_description WHERE information_id = '" . (int)$information_id . "'");
			]]></search>
			<add><![CDATA[
			$this->db->query("UPDATE " . DB_PREFIX . "information SET bottomright = '" . (int)$data['bottomright'] . "' WHERE information_id = '" . (int)$information_id . "'");
		
			]]></add>
		</operation>
	</file>
	
	<file name="admin/language/en-gb/catalog/information.php">
		<operation error="skip">
			<search position="before"><![CDATA[
    		$_['heading_title']          = 'Information';
			]]></search>
			<add><![CDATA[
		$_['entry_bottomright']          = 'Bottom Right';
		
			]]></add>
		</operation>
	</file>
	
	<file name="admin/controller/common/column_left.php">
		<operation error="skip">
			<search position="before"><![CDATA[
    		if ($this->user->hasPermission('access', 'extension/extension')) {	
			]]></search>
			<add><![CDATA[
	if ($this->user->hasPermission('access', 'design/themesetting')) {		
				$extension[] = array(
					'name'	   => $this->language->get('text_themesetting'),
					'href'     => $this->url->link('design/themesetting/edit&setting_id=1', 'token=' . $this->session->data['token'], true),
					'children' => array()
				);
			}
		
			]]></add>
		</operation>
	</file>
	
	<file name="admin/language/en-gb/common/column_left.php">
		<operation error="skip">
			<search position="before"><![CDATA[
    		$_['text_affiliate']                 = 'Affiliates';
			]]></search>
			<add><![CDATA[
	$_['text_themesetting']                 = 'Shopme Theme';
		
			]]></add>
		</operation>
	</file>
</modification>